# WOK
TKWOK
MS

# MS_ExecPart Class Reference

`#include <MS_ExecPart.hxx>`

Inheritance diagram for MS_ExecPart:

[legend]

## Public Member Functions

Standard_EXPORT | MS_ExecPart (const Handle(TCollection_HAsciiString)&anExecutable)
Standard_EXPORT void | AddFile (const Handle(MS_ExecFile)&aFile)
Standard_EXPORT void | AddLibrary (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT void | AddExternal (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_MS_HSequenceOfExecFile | Files () const
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Libraries () const
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Externals () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_MS_HSequenceOfExecFile | myFiles
Handle_TColStd_HSequenceOfHAsciiString | myLib
Handle_TColStd_HSequenceOfHAsciiString | myExt

## Constructor & Destructor Documentation

Standard_EXPORT MS_ExecPart::MS_ExecPart | ( | const Handle(TCollection_HAsciiString)& | anExecutable | ) |

## Member Function Documentation

Standard_EXPORT void MS_ExecPart::AddExternal | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

Standard_EXPORT void MS_ExecPart::AddFile | ( | const Handle(MS_ExecFile)& | aFile | ) |

Standard_EXPORT void MS_ExecPart::AddLibrary | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString MS_ExecPart::Externals | ( |  | ) | const

Standard_EXPORT Handle_MS_HSequenceOfExecFile MS_ExecPart::Files | ( |  | ) | const

Standard_EXPORT const MS_ExecPart::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MS_Exec.

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString MS_ExecPart::Libraries | ( |  | ) | const

## Field Documentation

Handle_TColStd_HSequenceOfHAsciiString MS_ExecPart::myExt `[private]`

Handle_MS_HSequenceOfExecFile MS_ExecPart::myFiles `[private]`

Handle_TColStd_HSequenceOfHAsciiString MS_ExecPart::myLib `[private]`

The documentation for this class was generated from the following file:

- MS_ExecPart.hxx